package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 计报警记录对象 dial_indicator_log
 * 
 * @author boman
 * @date 2025-06-17
 */
public class DialIndicatorLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录ID */
    private Long logId;

    /** 报警设备IPv4地址 */
    @Excel(name = "报警设备IPv4地址")
    private String ipAddress;

    /** 报警设备端口号 */
    @Excel(name = "报警设备端口号")
    private String portNo;

    /** 协议类型 */
    @Excel(name = "协议类型")
    private String protocol;

    /** 触发报警的设备通道号 */
    @Excel(name = "触发报警的设备通道号")
    private String channelId;

    /** 通道名称（监控点名称） */
    @Excel(name = "通道名称", readConverterExp = "监=控点名称")
    private String channelName;

    /** 事件类型 */
    @Excel(name = "事件类型")
    private String eventType;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceUuid;

    /** 场景ID */
    @Excel(name = "场景ID")
    private String sceneId;

    /** 规则ID */
    @Excel(name = "规则ID")
    private String ruleId;

    /** 标定集ID */
    @Excel(name = "标定集ID")
    private String tagsetId;

    /** 报警图片 */
    @Excel(name = "报警图片")
    private String photo;

    /** 表类型 pointer#指针类, number#数字类, status#状态类, level#液位类 */
    @Excel(name = "表类型 pointer#指针类, number#数字类, status#状态类, level#液位类")
    private String readingType;

    /** 当前读数值 */
    @Excel(name = "当前读数值")
    private String readingResult;

    /** 状态表状态 0#红灯亮, 1#红灯灭, 2#黄灯亮, 3#黄灯灭, 4#蓝灯亮, 5#蓝灯灭, 6#绿灯亮, 7#绿灯灭, 8#白灯亮, 9#白灯灭, 10#旋钮向左, 11#旋钮向左上, 12#旋钮向上, 13#旋钮向右上, 14#旋钮向右, 15#旋钮向右下, 16#旋钮向下, 17#旋钮向左下, 18#空开向上, 19#空开向下, 20#压板开, 21#压板合, 22#硅胶筒变色, 23#硅胶筒未变色, 24#字符分, 25#字符合, 26#字符0, 27#字符1, 28#字符ON, 29#字符OFF, 30#字符已储能, 31#字符未储能, 32#断路器分, 33#断路器合, 34#断路器0, 35#断路器1, 36#断路器ON, 37#断路器OFF, 38#断路器已储能, 39#断路器未储能, 40#刀闸开, 41#刀闸关, 42#开集类型关, 43#开集类别开 */
    @Excel(name = "状态表状态 0#红灯亮, 1#红灯灭, 2#黄灯亮, 3#黄灯灭, 4#蓝灯亮, 5#蓝灯灭, 6#绿灯亮, 7#绿灯灭, 8#白灯亮, 9#白灯灭, 10#旋钮向左, 11#旋钮向左上, 12#旋钮向上, 13#旋钮向右上, 14#旋钮向右, 15#旋钮向右下, 16#旋钮向下, 17#旋钮向左下, 18#空开向上, 19#空开向下, 20#压板开, 21#压板合, 22#硅胶筒变色, 23#硅胶筒未变色, 24#字符分, 25#字符合, 26#字符0, 27#字符1, 28#字符ON, 29#字符OFF, 30#字符已储能, 31#字符未储能, 32#断路器分, 33#断路器合, 34#断路器0, 35#断路器1, 36#断路器ON, 37#断路器OFF, 38#断路器已储能, 39#断路器未储能, 40#刀闸开, 41#刀闸关, 42#开集类型关, 43#开集类别开")
    private String statusResult;

    /** 指示灯当前读数值 0#亮, 1#灭, 2#红灯亮, 3#红灯灭, 4#黄灯亮, 5#黄灯灭, 6#蓝灯亮, 7#蓝灯灭, 8#绿灯亮, 9#绿灯灭, 10#白灯亮, 11#白灯灭, 100#亮横向, 101#亮竖向, 102#红灯亮横向, 103#红灯亮竖向, 104#黄灯亮横向, 105#黄灯亮竖向, 106#蓝灯亮横向, 107#蓝灯亮竖向, 108#绿灯亮横向, 109#绿灯亮竖向, 110#白灯亮横向, 111#白灯亮竖向 */
    @Excel(name = "指示灯当前读数值 0#亮, 1#灭, 2#红灯亮, 3#红灯灭, 4#黄灯亮, 5#黄灯灭, 6#蓝灯亮, 7#蓝灯灭, 8#绿灯亮, 9#绿灯灭, 10#白灯亮, 11#白灯灭, 100#亮横向, 101#亮竖向, 102#红灯亮横向, 103#红灯亮竖向, 104#黄灯亮横向, 105#黄灯亮竖向, 106#蓝灯亮横向, 107#蓝灯亮竖向, 108#绿灯亮横向, 109#绿灯亮竖向, 110#白灯亮横向, 111#白灯亮竖向")
    private String pilotLampstate;

    /** 8朝向旋钮当前读数值 0#旋钮向左, 1#旋钮向左上, 2#旋钮向上, 3#旋钮向右上, 4#旋钮向右, 5#旋钮向右下, 6#旋钮向下, 7#旋钮向左下 */
    @Excel(name = "8朝向旋钮当前读数值 0#旋钮向左, 1#旋钮向左上, 2#旋钮向上, 3#旋钮向右上, 4#旋钮向右, 5#旋钮向右下, 6#旋钮向下, 7#旋钮向左下")
    private String eightPositionSelectorKnobTate;

    /** 空开当前读数值 0#空开向下, 1#空开向上 */
    @Excel(name = "空开当前读数值 0#空开向下, 1#空开向上")
    private String airSwitchCircuitBreakerState;

    /** 压板当前读数值 0#压板开, 1#压板合 */
    @Excel(name = "压板当前读数值 0#压板开, 1#压板合")
    private String relayProtectionControllerState;

    /** 硅胶筒当前读数值 0#硅胶筒未变色, 1#硅胶筒变色 */
    @Excel(name = "硅胶筒当前读数值 0#硅胶筒未变色, 1#硅胶筒变色")
    private String silicaGelBreatherState;

    /** 字符当前读数值 0#字符分, 1#字符合, 2#字符0, 3#字符1, 4#字符OFF, 5#字符ON, 6#字符未储能, 7#字符已储能 */
    @Excel(name = "字符当前读数值 0#字符分, 1#字符合, 2#字符0, 3#字符1, 4#字符OFF, 5#字符ON, 6#字符未储能, 7#字符已储能")
    private String charactersState;

    /** 断路器当前读数值 0#断路器分, 1#断路器合, 2#断路器0, 3#断路器1, 4#断路器OFF, 5#断路器ON, 6#断路器未储能, 7#断路器已储能 */
    @Excel(name = "断路器当前读数值 0#断路器分, 1#断路器合, 2#断路器0, 3#断路器1, 4#断路器OFF, 5#断路器ON, 6#断路器未储能, 7#断路器已储能")
    private String circuitBreakerState;

    /** 刀闸当前读数值 0#刀闸开（分）, 1#刀闸关（合） */
    @Excel(name = "刀闸当前读数值 0#刀闸开", readConverterExp = "分=")
    private String knifeSwitchState;

    /** 开集类型当前读数值 0#开集类型开, 1#开集类别关 */
    @Excel(name = "开集类型当前读数值 0#开集类型开, 1#开集类别关")
    private String openSetTypeState;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setLogId(Long logId) 
    {
        this.logId = logId;
    }

    public Long getLogId() 
    {
        return logId;
    }

    public void setIpAddress(String ipAddress) 
    {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress() 
    {
        return ipAddress;
    }

    public void setPortNo(String portNo) 
    {
        this.portNo = portNo;
    }

    public String getPortNo() 
    {
        return portNo;
    }

    public void setProtocol(String protocol) 
    {
        this.protocol = protocol;
    }

    public String getProtocol() 
    {
        return protocol;
    }

    public void setChannelId(String channelId) 
    {
        this.channelId = channelId;
    }

    public String getChannelId() 
    {
        return channelId;
    }

    public void setChannelName(String channelName) 
    {
        this.channelName = channelName;
    }

    public String getChannelName() 
    {
        return channelName;
    }

    public void setEventType(String eventType) 
    {
        this.eventType = eventType;
    }

    public String getEventType() 
    {
        return eventType;
    }

    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }

    public void setDeviceUuid(String deviceUuid) 
    {
        this.deviceUuid = deviceUuid;
    }

    public String getDeviceUuid() 
    {
        return deviceUuid;
    }

    public void setSceneId(String sceneId) 
    {
        this.sceneId = sceneId;
    }

    public String getSceneId() 
    {
        return sceneId;
    }

    public void setRuleId(String ruleId) 
    {
        this.ruleId = ruleId;
    }

    public String getRuleId() 
    {
        return ruleId;
    }

    public void setTagsetId(String tagsetId) 
    {
        this.tagsetId = tagsetId;
    }

    public String getTagsetId() 
    {
        return tagsetId;
    }

    public void setPhoto(String photo) 
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }

    public void setReadingType(String readingType) 
    {
        this.readingType = readingType;
    }

    public String getReadingType() 
    {
        return readingType;
    }

    public void setReadingResult(String readingResult) 
    {
        this.readingResult = readingResult;
    }

    public String getReadingResult() 
    {
        return readingResult;
    }

    public void setStatusResult(String statusResult) 
    {
        this.statusResult = statusResult;
    }

    public String getStatusResult() 
    {
        return statusResult;
    }

    public void setPilotLampstate(String pilotLampstate) 
    {
        this.pilotLampstate = pilotLampstate;
    }

    public String getPilotLampstate() 
    {
        return pilotLampstate;
    }

    public void setEightPositionSelectorKnobTate(String eightPositionSelectorKnobTate) 
    {
        this.eightPositionSelectorKnobTate = eightPositionSelectorKnobTate;
    }

    public String getEightPositionSelectorKnobTate() 
    {
        return eightPositionSelectorKnobTate;
    }

    public void setAirSwitchCircuitBreakerState(String airSwitchCircuitBreakerState) 
    {
        this.airSwitchCircuitBreakerState = airSwitchCircuitBreakerState;
    }

    public String getAirSwitchCircuitBreakerState() 
    {
        return airSwitchCircuitBreakerState;
    }

    public void setRelayProtectionControllerState(String relayProtectionControllerState) 
    {
        this.relayProtectionControllerState = relayProtectionControllerState;
    }

    public String getRelayProtectionControllerState() 
    {
        return relayProtectionControllerState;
    }

    public void setSilicaGelBreatherState(String silicaGelBreatherState) 
    {
        this.silicaGelBreatherState = silicaGelBreatherState;
    }

    public String getSilicaGelBreatherState() 
    {
        return silicaGelBreatherState;
    }

    public void setCharactersState(String charactersState) 
    {
        this.charactersState = charactersState;
    }

    public String getCharactersState() 
    {
        return charactersState;
    }

    public void setCircuitBreakerState(String circuitBreakerState) 
    {
        this.circuitBreakerState = circuitBreakerState;
    }

    public String getCircuitBreakerState() 
    {
        return circuitBreakerState;
    }

    public void setKnifeSwitchState(String knifeSwitchState) 
    {
        this.knifeSwitchState = knifeSwitchState;
    }

    public String getKnifeSwitchState() 
    {
        return knifeSwitchState;
    }

    public void setOpenSetTypeState(String openSetTypeState) 
    {
        this.openSetTypeState = openSetTypeState;
    }

    public String getOpenSetTypeState() 
    {
        return openSetTypeState;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("logId", getLogId())
            .append("ipAddress", getIpAddress())
            .append("portNo", getPortNo())
            .append("protocol", getProtocol())
            .append("channelId", getChannelId())
            .append("channelName", getChannelName())
            .append("eventType", getEventType())
            .append("deviceId", getDeviceId())
            .append("deviceUuid", getDeviceUuid())
            .append("sceneId", getSceneId())
            .append("ruleId", getRuleId())
            .append("tagsetId", getTagsetId())
            .append("photo", getPhoto())
            .append("readingType", getReadingType())
            .append("readingResult", getReadingResult())
            .append("statusResult", getStatusResult())
            .append("pilotLampstate", getPilotLampstate())
            .append("eightPositionSelectorKnobTate", getEightPositionSelectorKnobTate())
            .append("airSwitchCircuitBreakerState", getAirSwitchCircuitBreakerState())
            .append("relayProtectionControllerState", getRelayProtectionControllerState())
            .append("silicaGelBreatherState", getSilicaGelBreatherState())
            .append("charactersState", getCharactersState())
            .append("circuitBreakerState", getCircuitBreakerState())
            .append("knifeSwitchState", getKnifeSwitchState())
            .append("openSetTypeState", getOpenSetTypeState())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
